commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sebb (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (JCI-73) Drop javac compiler; it only works on Java 1.5
Date Wed, 21 Aug 2013 00:04:52 GMT

     [ https://issues.apache.org/jira/browse/JCI-73?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sebb resolved JCI-73.
---------------------

       Resolution: Fixed
    Fix Version/s: 1.1

Removed:
    commons/proper/jci/trunk/compilers/javac/
Modified:
    commons/proper/jci/trunk/pom.xml
                
> Drop javac compiler; it only works on Java 1.5
> ----------------------------------------------
>
>                 Key: JCI-73
>                 URL: https://issues.apache.org/jira/browse/JCI-73
>             Project: Commons JCI
>          Issue Type: Task
>            Reporter: Sebb
>             Fix For: 1.1
>
>
> The Javac compiler builds OK on 1.5/1.6/1.7, but only runs on 1.5 because it uses proprietary
APIs.
> There are two other Java compilers (Janino and Eclipse) which can run on Java 1.5, and
it is EOL anyway, so there seems little point keeping the javac compiler code.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message